<?php

session_start();
$usuario=$_SESSION['rut'];


$planilla_id = $_REQUEST['planilla_id'];
$sincro = $_REQUEST['sincro'];
$folio_planilla = $_REQUEST['folio_planilla'];

$sincro2='';
if($sincro=='N'){
	$sincro2='NE';
}else if($sincro=='NE'){
	$sincro2='NE';
}else if($sincro=='S'){
	$sincro2='E';
}else if($sincro=='E'){
	$sincro2='E';
}


include '../../conexion/conn.php';

$rs = mysql_query("SELECT COUNT(*) as contador FROM `planilla_datos` WHERE folio_planilla='$folio_planilla' AND planilla_datos.foto!=''");   
if($row = mysql_fetch_array($rs)){
    $contador=$row['contador']+1;
    
}

$foto=$folio_planilla."_foto".$contador;
$foto2=$_FILES['foto'];

if($_REQUEST && $_FILES['foto']['size']!=0){

// Fin de la creacion de la cadena aletoria
$tamano = $_FILES ['foto']['size']; // Leemos el tamaño del fichero
//$tamaño_max="2024000"; // Tamaño maximo permitido
//if( $tamano < $tamaño_max){ // Comprovamos el tamaño 
$destino = '../image' ; // Carpeta donde se guardara
$sep=explode('image',$_FILES['foto']['type']); // Separamos image/
$tipo=$sep[1]; // Optenemos el tipo de imagen que es
//if($tipo == "jpeg" || $tipo == "png" || $tipo == "jpg" || $tipo == "JPG"){ // Si el tipo de imagen a subir es el mismo de los permitidos, seguimos. Puedes agregar mas tipos de imagen
move_uploaded_file ( $_FILES ['foto']['tmp_name'], $destino . '/' .$foto.'.jpg');  // Subimos el archivo
		//achicar foto

		$imagen='../image/'.$foto.'.jpg'; 
	    # ruta de la imagen final, si se pone el mismo nombre que la imagen, esta se sobreescribe 
	    $imagen_final='../image/'.$foto.'.jpg'; 
	    $ancho_nuevo=640; 
	    $alto_nuevo=480; 
	    redim ($imagen,$imagen_final,$ancho_nuevo,$alto_nuevo); 

		
		$fileName = $foto.".jpg";
        $tmpName  = $_FILES['foto']['tmp_name'];
        $fileSize = $_FILES['foto']['size'];
        $fileType = $_FILES['foto']['type'];
        
        $fp = fopen('../image/'.$fileName.'', 'r');
        $content = fread($fp, $fileSize);
        $content = addslashes($content);
        fclose($fp);
        
        if(!get_magic_quotes_gpc())
        {
            $fileName = addslashes($fileName);
        }
        

        $sql =  ("INSERT INTO fotos (nombre_foto, usu_crea) values ('$fileName', '$usuario')");
		$result = @mysql_query($sql);

}



	$sql = "UPDATE planilla_datos SET  
	foto='$fileName',
	sincro='$sincro2'
	WHERE planilla_id='$planilla_id'";
	$result = @mysql_query($sql);
	if ($result){
		echo "Datos Grabados";
	} else {
		echo "Se Han Producido Errores";
	}


	function redim($ruta1,$ruta2,$ancho,$alto) 
    { 
    # se obtene la dimension y tipo de imagen 
    $datos=getimagesize ($ruta1); 
     
    $ancho_orig = $datos[0]; # Anchura de la imagen original 
    $alto_orig = $datos[1];    # Altura de la imagen original 
    $tipo = $datos[2]; 
     
    if ($tipo==1){ # GIF 
        if (function_exists("imagecreatefromgif")) 
            $img = imagecreatefromgif($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==2){ # JPG 
        if (function_exists("imagecreatefromjpeg")) 
            $img = imagecreatefromjpeg($ruta1); 
        else 
            return false; 
    } 
    else if ($tipo==3){ # PNG 
        if (function_exists("imagecreatefrompng")) 
            $img = imagecreatefrompng($ruta1); 
        else 
            return false; 
    } 
     
    # Se calculan las nuevas dimensiones de la imagen 
    if ($ancho_orig>$alto_orig) 
        { 
        $ancho_dest=$ancho; 
        $alto_dest=($ancho_dest/$ancho_orig)*$alto_orig; 
        } 
    else 
        { 
        $alto_dest=$alto; 
        $ancho_dest=($alto_dest/$alto_orig)*$ancho_orig; 
        } 

    // imagecreatetruecolor, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    $img2=@imagecreatetruecolor($ancho_dest,$alto_dest) or $img2=imagecreate($ancho_dest,$alto_dest); 

    // Redimensionar 
    // imagecopyresampled, solo estan en G.D. 2.0.1 con PHP 4.0.6+ 
    @imagecopyresampled($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig) or imagecopyresized($img2,$img,0,0,0,0,$ancho_dest,$alto_dest,$ancho_orig,$alto_orig); 

    // Crear fichero nuevo, según extensión. 
    if ($tipo==1) // GIF 
        if (function_exists("imagegif")) 
            imagegif($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==2) // JPG 
        if (function_exists("imagejpeg")) 
            imagejpeg($img2, $ruta2); 
        else 
            return false; 

    if ($tipo==3)  // PNG 
        if (function_exists("imagepng")) 
            imagepng($img2, $ruta2); 
        else 
            return false; 
     
    return true; 
    }

?>